Download it now!
Bug 132505 - UX: Ignore all option in spell check is an unexpected full session setting
Summary: UX: Ignore all option in spell check is an unexpected full session setting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2020-04-28 20:28 UTC by Telesto
Modified: 2020-09-06 20:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup for a completly new dialog/workflow (192.84 KB, image/png)
2020-05-07 13:39 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-28 20:28:02 UTC
Description:
I'm having some issue with the ignore all button in Spell-checker window of Writer.

My idea of Ignore All
1. Ignore all instances of the same word  in the specific document (until close). Show it as an error if the word is written again. Or reopened again without a save

The actual result: 
2 Skips all occurrences of the unknown word until the end of the current LibreOfficeDev session and continues with the spellcheck. [With my addition: Not only for the language in question, but for all dictionary's]

So, or the option is lacking to ignore the specific word in the given document only. Or this shouldn't behave this way a full session but only for the given document.

It's especially confusing with "Correct All", which is limited to document in question, not a 'session wide' correction for all documents. 






Steps to Reproduce:
1. open the attached file
2. Open spell checker F7
3. Press and hold Alt+G
4. File -> Reload

Actual Results:
Ignore all ignores it a full session in all languages

Expected Results:
Only for the document (until close of the document)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: f924658e45f256544e43c3fdb2af9b585d0f0933
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Heiko Tietze 2020-04-29 15:05:05 UTC
In other words, you expect the spellchecking to work only up to the point when the dialog is closed likewise it happens for Correct All. Example: "Lorem ipsum dolor sit amet, Lorem ipsum dolor sit amet" > F7 > correct all Lorem to Loren (all Lorem remain redlined in the document and change becomes effective when the dialog is closed; undo works). Ignore All un-redlines all words until the end of the document. Has some drawbacks, however, as you do not get a clear feedback (spellchecking dialog's redlining is not the same as in the document). And I guess many unexpected side-effects/tickets caused by this.

What do you think, Michael?
Comment 2 Telesto 2020-04-29 15:52:27 UTC
(In reply to Heiko Tietze from comment #1)
We are - surely - not talking about the same issue ;-). What you're describing is indeed happening.. but unrelated...

This bug is based on my bug 132504 report, which I closed myself (because this is of it's documented this way). However still wrong, IMHO

1. Open Writer, spell check English. Type: "Lorem ipsum dolor sit amet, Lorem ipsum dolor sit amet"
2. Press Ignore all for every word
3. Save the file A
4. Reopen the file -> No red lining
5. Close the file
6. Open a new document
7. Set the language to German Type: "Lorem ipsum dolor sit amet, Lorem ipsum dolor sit amet" 
8. No red lining
9. Exit LibreOffice File -> Exit
10. Launch LibreOffice & open the saved file (A) -> Redlining back

Cause: Ignore all is a session setting; a ignored word, say 'Lorem' gets ignored in all documents and in every language. Without the possibility 'reset' this behavior either (except Exiting LibreOffice and reopening)
Comment 3 Heiko Tietze 2020-04-29 16:37:14 UTC
(In reply to Telesto from comment #2)
> Without the possibility 'reset' this behavior either 

Terms are stored in the user dictionary. Spellchecking > Options or Tools > Options > Language Settings > Writing Aids >> List of ignored words
Comment 4 Telesto 2020-04-29 18:10:09 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to Telesto from comment #2)
> > Without the possibility 'reset' this behavior either 
> 
> Terms are stored in the user dictionary. Spellchecking > Options or Tools >
> Options > Language Settings > Writing Aids >> List of ignored words

OK, thanks for the info.. However, one argument shot down.
Hower still not totally 'happy'

Office 2003 has the same - in my opinion odd - ignore all behavior. With at least the exception it's limited to a specific language. So pressing Ignore All for "Ipsum" in Dutch doesn't mean in English too.

But partly my point.. The Ignore All should be limited to the current Document. If I want it in Multiple document. I can create a dictionary if I want it as a global setting. Why should it be 'limited' to a session/run time. Seems quite arbitrary. Ignore all has 'reach' I can't predict (only after reading the manual). I gives me a problem too, I want to use 'Ignore all' for a single document'. So I have to close LibreOffice in between or go to Options > Language Settings > Writing Aids >> List of ignored words to remove them one be one.


Not sure how Office 2016/2019 behaves. The Ignore all is limited to a document in the online version. It's surely not working this way for Google Docs.

Would also mean that Options > Language Settings > Writing Aids >> List of ignored words can go too. How many people do actually use this 'hidden' setting. 

Would also like to now the LOOL handles this

https://ux.stackexchange.com/questions/83396/what-does-ignore-and-ignore-all-really-mean-in-spell-check

Of course this is the behavior of LibreOffice and it's properly documented.. but still
Comment 5 Heiko Tietze 2020-05-07 13:39:31 UTC
Created attachment 160503 [details]
Mockup for a completly new dialog/workflow

Okay, let's start from scratch.

* Benjamin wants to correct one word to solve spelling errors.
* Benjamin wants to correct all words with the same spelling error.
* Benjamin wants to not correct one word as he is sure it's correct.
* Benjamin wants to not correct all identical word as he is sure it's correct.
* Benjamin wants correct and ignore actions to be persistent for the document (but not other).
* Benjamin wants to skip a word as he might not want to correct it yet neither ignore its spelling.
* Benjamin wants to revert his previously made decision on a word and undo the action.
* Benjamin wants to add words to the dictionary that are not yet know by the computer.

The current dialog has some potential for improvements:

 + ignore once/all as well as correct once/all should work at the current document, a further option should allow to add this word to a dictionary
 + changing the text language is pointless as the dialog does not offer any restart
 + also, options... are misplaced in this dialog
 + modifications to the text itself (paste) are questionable
 + the dialog shouldn't be amodal 
 + the dialog should use system settings (currently dark font on dark background)
 + undo better done after close (every change stored separately)

Attached mockup might be a solution. Opinions?
Comment 6 Telesto 2020-05-07 20:21:22 UTC
(In reply to Heiko Tietze from comment #5)
Hmm, not many objections from my side. Sounds like an improvement :-)

-> changing the text language is pointless as the dialog does not offer any restart

Word does this; at least in ancient version. Must be reason? Not sure what the idea is/ how it supposed to work. The LibreOffice "text language" option is indeed not really helpful.